Index: INSTALL.im
===================================================================
--- INSTALL.im.orig
+++ INSTALL.im
@@ -19,10 +19,10 @@
         DOCDOCDIR   more extensive documentation (icmake.ps, examples)
 */
 
-#define BINDIR      "usr/bin"
-#define SKELDIR     "usr/share/icmake"
-#define MANDIR      "usr/share/man"
-#define LIBDIR      "usr/lib/icmake"
+#define BINDIR      "bin"
+#define SKELDIR     "share/icmake"
+#define MANDIR      "share/man"
+#define LIBDIR      "libexec/icmake"
 #define CONFDIR     "etc/icmake"
-#define DOCDIR      "usr/share/doc/icmake"
-#define DOCDOCDIR   "usr/share/doc/icmake-doc"
+#define DOCDIR      "share/doc/icmake"
+#define DOCDOCDIR   "share/doc/icmake"
Index: etc/icmake/icmake.rc
===================================================================
--- etc/icmake/icmake.rc.orig
+++ etc/icmake/icmake.rc
@@ -5,17 +5,17 @@
 # The location of this file itself is (in order of searching):
 #       -c configPath       -- a program command-line parameter
 #       ~/.icmake.rc        -- a configuration file in the user's home dir
-#       /etc/icmake/icmake.cf
+#       __MACPORTS__/etc/icmake/icmake.cf
 
     # the full path to the icm-comp icmake compiler:
-icm-comp:   /usr/lib/icmake/icm-comp
+icm-comp:   __MACPORTS__/libexec/icmake/icm-comp
 
     # the full path to the icm-exec icmake executer:
-icm-exec:   /usr/lib/icmake/icm-exec
+icm-exec:   __MACPORTS__/libexec/icmake/icm-exec
 
     # the full path to the icm-pp icmake pre-processor:
-icm-pp:     /usr/lib/icmake/icm-pp
+icm-pp:     __MACPORTS__/libexec/icmake/icm-pp
 
     # the skeleton directory:
-skeletons:  /usr/share/icmake
+skeletons:  __MACPORTS__/share/icmake
 
Index: doc/icmake.1
===================================================================
--- doc/icmake.1.orig
+++ doc/icmake.1
@@ -152,25 +152,25 @@ E\&.g\&., if the first line of an (execu
 (without extension) contains
 .nf 
 
-            #!/usr/bin/icmake \-qi
+            #!__MACPORTS__/bin/icmake \-qi
         
 .fi 
 then \fIicm\fP may be given as a command, thus executing
 .nf 
 
-            /usr/bin/icmake \-qi icm \&.\&.\&.
+            __MACPORTS__/bin/icmake \-qi icm \&.\&.\&.
         
 .fi 
 Alternatively, 
 .nf 
 
-            #! /usr/bin/icmake \-qt /tmp/icm
+            #! __MACPORTS__/bin/icmake \-qt /tmp/icm
         
 .fi 
 may be used, resulting in the execution of
 .nf 
 
-            #! /usr/bin/icmake \-qt /tmp/icm icm \&.\&.\&.
+            #! __MACPORTS__/bin/icmake \-qt /tmp/icm icm \&.\&.\&.
         
 .fi 
 In this case the binary makefile is not kept, but a temporary file
@@ -1067,23 +1067,22 @@ Example:
 .SH "FILES"
 
 .PP 
-The mentioned paths are sugestive only and may be installation dependent:
 .IP o 
-\fB/usr/bin/icmake\fP: the main \fBicmake\fP program;
+\fB__MACPORTS__/bin/icmake\fP: the main \fBicmake\fP program;
 .IP o 
-\fB/usr/bin/icmun\fP: the \fBicmake\fP unassembler;
+\fB__MACPORTS__/bin/icmun\fP: the \fBicmake\fP unassembler;
 .IP o 
-\fB/usr/lib/icm\-pp\fP: the preprocessor called by \fBicmake\fP;
+\fB__MACPORTS__/libexec/icm\-pp\fP: the preprocessor called by \fBicmake\fP;
 .IP o 
-\fB/usr/lib/icm\-comp\fP: the compiler called by \fBicmake\fP;
+\fB__MACPORTS__/libexec/icm\-comp\fP: the compiler called by \fBicmake\fP;
 .IP o 
-\fB/usr/lib/icm\-exec\fP: the byte\-code interpreter called by \fBicmake\fP;
+\fB__MACPORTS__/libexec/icm\-exec\fP: the byte\-code interpreter called by \fBicmake\fP;
 
 .PP 
 .SH "EXAMPLES"
 
 .PP 
-The distribution (usually in \fI/usr/share/doc/icmake\fP) contains a
+The distribution (in \fI__MACPORTS__/share/doc/icmake\fP) contains a
 directory \fIexamples\fP containing various examples of \fBicmake\fP script\&. Note in
 particular the \fIexamples/icmbuild\fP subdirectory containing a general script
 for \fBC++\fP and \fBC\fP program maintenance\&.
Index: doc/icmbuild.1
===================================================================
--- doc/icmbuild.1.orig
+++ doc/icmbuild.1
@@ -118,12 +118,11 @@ provided to the \fBicmbuild\fP script\&.
 .SH "FILES"
 
 .PP 
-The mentioned paths are sugestive only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 Example of a \fBicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 Example of a \fBicmbuild\fP \fICLASSES\fP file\&.
 
 .PP 
Index: doc/icmconf.7
===================================================================
--- doc/icmconf.7.orig
+++ doc/icmconf.7
@@ -474,17 +474,16 @@ The extension of object modules created 
 
 .PP 
 .SH "FILES"
-The mentioned paths are sugestive only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 .br 
 Example of an \fBicmconf\fP \fICLASSES\fP file\&.
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 .br 
 Default skeleton \fBicmbuild\fP resource file\&.
 .IP o 
-\fB/etc/icmake\fP
+\fB__MACPORTS__/etc/icmake\fP
 .br 
 Directory containing the default system\-wide \fBicmake\fP(1)
 configuration files (like \fIVERSION\fP and \fIicmstart\&.rc\fP)
Index: doc/icmstart.1
===================================================================
--- doc/icmstart.1.orig
+++ doc/icmstart.1
@@ -18,7 +18,7 @@ or `\fIlibrary\fP\(cq\& may be specified
 \fBicmbuild\fP(1) script\&. 
 .PP 
 Skeleton files for the main directory and subdirectories, by default listed in
-the file \fI/etc/icmake/icmstart\&.rc\fP, may be installed as well
+the file \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP, may be installed as well
 (cf\&. \fBicmstart\&.rc\fP(7))\&.
 .PP 
 After changing to the directory created by \fBicmstart\fP the \fBicmbuild\fP(1)
@@ -40,7 +40,7 @@ out\&.
 .br 
 Use the configuration files (\fIicmstart\&.rc, AUTHOR,
 YEARS\fP and \fIVERSION\fP) if found in `confpath\(cq\& rather than in
-\fI~/\&.icmake\fP and/or \fI/etc/icmake/\fP\&. Once a file is found it is used
+\fI~/\&.icmake\fP and/or \fI__MACPORTS__/etc/icmake/\fP\&. Once a file is found it is used
 allowing partial overrides of the default files provided by
 \fBicmake\fP(1)\&.
 .IP o 
@@ -63,7 +63,7 @@ full directory and its subdirectories wi
 \fI\-s skeleton\-path\fP 
 .br 
 By default skeleton files are listed in the skeleton resource file
-\fI/usr/share/icmake/icmstart\&.rc\fP\&. Alternatively, the skeleton
+\fI__MACPORTS__/share/icmake/icmstart\&.rc\fP\&. Alternatively, the skeleton
 resource file may be specified by the \fIICM\fP environment variable,
 which \-in turn\- may be overruled by the path specified with the \fI\-s\fP
 option\&. The skeleton path may be specified as a full file\-path or as a
@@ -79,7 +79,7 @@ Skeleton resource files may contain comm
 with the hash\-mark (\fI#\fP)) which is ignored, and should otherwise contain
 specifications of resource \fBs\fP to install\&.
 .PP 
-The default resource file is \fI/etc/icmake/icmstart\&.rc\fP, contains
+The default resource file is \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP, contains
 .nf 
 
     CLASSES
@@ -103,7 +103,7 @@ recognized and processed by \fIicmstart\
 If the \fI\-c\fP option was specified configuration files found in the path
 specified at this option are used\&. If not specified or if a file isn\(cq\&t
 found then the path \fI~/icmake\fP is inspected\&. If a configuration file isn\(cq\&t
-found in \fI~/icmake\fP either, configuration files in \fI/etc/icmake\fP are used\&.
+found in \fI~/icmake\fP either, configuration files in \fI__MACPORTS__/etc/icmake\fP are used\&.
 .PP 
 Configuration files are not required for the proper operation of \fIicmstart\fP\&.
 When absent \fIicmstart\fP performs the following  default actions:
@@ -161,15 +161,14 @@ initial project directory, \fIicmconf\fP
 )
 .PP 
 .SH "FILES"
-The mentioned paths are sugestive only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 Example of a \fBicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 Example of a \fBicmbuild\fP \fICLASSES\fP file\&.
 .IP o 
-\fB/usr/share/icmake/icmstart\&.rc\fP
+\fB__MACPORTS__/share/icmake/icmstart\&.rc\fP
 Default skeleton resource file\&.
 
 .PP 
Index: doc/icmstart.rc.7
===================================================================
--- doc/icmstart.rc.7.orig
+++ doc/icmstart.rc.7
@@ -10,7 +10,7 @@ icmstart\&.rc \- The icmstart(1) resourc
 The \fBicmstart\&.rc\fP file defines the initial files of a program that are
 installed by \fBicmstart\fP(1)\&. 
 .PP 
-By default \fBicmstart\&.rc\fP is found in \fI/etc/icmake/icmstart\&.rc\fP, but if a
+By default \fBicmstart\&.rc\fP is found in \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP, but if a
 file \fI$HOME/\&.icmake/icmstart\&.rc\fP is found then the latter file is used by
 \fBicmstart\fP(1)\&. \fI$HOME/\&.icmake/icmstart\&.rc\fP in turn is overruled by
 specifying a \fI\-c\fP option when invoking \fBicmstart\fP(1)\&.
@@ -115,15 +115,14 @@ Empty lines are skipped\&.
 
 .PP 
 .SH "FILES"
-The mentioned paths are sugestive only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 Example of an \fBicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 Example of an \fBicmbuild\fP \fICLASSES\fP file\&.
 .IP o 
-\fB/usr/share/icmake/icmstart\&.rc\fP
+\fB__MACPORTS__/share/icmake/icmstart\&.rc\fP
 Default skeleton resource file\&.
 
 .PP 
Index: examples/am
===================================================================
--- examples/am.orig
+++ examples/am
@@ -1,4 +1,4 @@
-#! /usr/bin/icmake -qt /tmp/am
+#! __MACPORTS__/bin/icmake -qt /tmp/am
 
 /*
                             AM
Index: examples/bup
===================================================================
--- examples/bup.orig
+++ examples/bup
@@ -1,4 +1,4 @@
-#!/usr/local/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 #define ETCDIR		"/usr/local/etc"
 
Index: examples/defines
===================================================================
--- examples/defines.orig
+++ examples/defines
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qt /tmp/defines
+#!__MACPORTS__/bin/icmake -qt /tmp/defines
 
 #define FIRST   "This text"
 #define SECOND  "will be printed, starting with: " ${FIRST}
Index: examples/ds
===================================================================
--- examples/ds.orig
+++ examples/ds
@@ -1,4 +1,4 @@
-#! /usr/bin/icmake -qt /tmp/ds
+#! __MACPORTS__/bin/icmake -qt /tmp/ds
 
 /*
                                 D S
Index: examples/ftpxfer
===================================================================
--- examples/ftpxfer.orig
+++ examples/ftpxfer
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /***************************************************************************
 
Index: examples/idir
===================================================================
--- examples/idir.orig
+++ examples/idir
@@ -1,4 +1,4 @@
-#!/usr/local/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     Example of the Icmake 'stat()' function. This simple makefile prints
Index: examples/initialization
===================================================================
--- examples/initialization.orig
+++ examples/initialization
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qt /tmp/initialization
+#!__MACPORTS__/bin/icmake -qt /tmp/initialization
 
 
 int main()
Index: examples/killprog
===================================================================
--- examples/killprog.orig
+++ examples/killprog
@@ -1,4 +1,4 @@
-#!/usr/local/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     Sample Icmake script. Kills programs; you can type 'killprog progname'
Index: examples/nesteddirectives
===================================================================
--- examples/nesteddirectives.orig
+++ examples/nesteddirectives
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qt /tmp/nesteddirectives
+#!__MACPORTS__/bin/icmake -qt /tmp/nesteddirectives
 
 /* 
     This simple icmake script illustrates the use of nested directives
Index: examples/r
===================================================================
--- examples/r.orig
+++ examples/r
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qt /tmp/r
+#!__MACPORTS__/bin/icmake -qt /tmp/r
 
 /* 
     This simple icmake script starts a given command in the current
Index: examples/tolower
===================================================================
--- examples/tolower.orig
+++ examples/tolower
@@ -1,4 +1,4 @@
-#!/usr/local/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     tolower: Icmake script to rename files to lower case. 
